<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('/css/bootstrap.css' )); ?>">
    <title>Entries</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #fff;
            color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        .container form {
            display: table;
            margin: 1em auto 0 auto;
            box-shadow: 0 0 10px 0 #dbdbdb;
            background-color: white;
            border-radius: 8px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 600px;
        }

        .form-group {
            margin-bottom: 15px;
        }

        /* Label Styling */
        .container form label {
            display: block;
            font-size: 14px;
            margin-bottom: 6px;
            font-weight: bold;
            color: #444;
        }

        /* Form Control Styling */
        .container form .form-control {
            width: 100%;
            padding: 10px;
            font-size: 14px;
            border: 1px solid #ccc;
            border-radius: 4px;
            background-color: #fafafa;
            transition: all 0.3s ease;
        }

        /* Focus state and hover effects */
        .container form .form-control:focus {
            outline: none;
            border-color: #007bff;
            background-color: #fff;
            box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
        }

        /* Button Styling */
        .container form button {
            width: 100%;
            padding: 10px;
            font-size: 16px;
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }
        form span{
            color: red;
            font-size: 15px;
            position: relative;
            top: 0;
        }
        .container form button:hover {
            background-color: #0056b3;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <!-- Display the generated QR Code -->
                <?php if(isset($qrCode)): ?>
                    <div class="qrCodeDiv">
                        <?php echo $qrCode; ?>  <!-- Display the generated QR code -->
                    </div>
                <?php endif; ?>
                <a href="<?php echo e(url('/')); ?>" class="btn btn-primary mt-4">Go Back</a>
            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('/js/slim.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/jquery.js')); ?>"></script>
</body>

</html><?php /**PATH F:\jagjeet\xampp\htdocs\2024\local-app-2025\resources\views/qrCode.blade.php ENDPATH**/ ?>