<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('/css/bootstrap.css' )); ?>">
    <title>Entries</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .input_group_code select{
            width:28% !important;
        }
        .input_group_code
        {
            display: inline-flex;
            width: 100%;
        }
        .container form {
            display: table;
            margin: 1em auto 0 auto;
            box-shadow: 0 0 10px 0 #dbdbdb;
            background-color: white;
            border-radius: 8px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 600px;
        }

        .form-group {
            margin-bottom: 15px;
        }

        /* Label Styling */
        .container form label {
            display: block;
            font-size: 14px;
            margin-bottom: 6px;
            font-weight: bold;
            color: #444;
        }

        /* Form Control Styling */
        .container form .form-control {
            width: 100%;
            padding: 10px;
            font-size: 14px;
            border: 1px solid #ccc;
            border-radius: 4px;
            background-color: #fafafa;
            transition: all 0.3s ease;
        }

        /* Focus state and hover effects */
        .container form .form-control:focus {
            outline: none;
            border-color: #007bff;
            background-color: #fff;
            box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
        }

        /* Button Styling */
        .container form button {
            width: 100%;
            padding: 10px;
            font-size: 16px;
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }
        form span{
            color: red;
            font-size: 15px;
            position: relative;
            top: 0;
        }
        .container form button:hover {
            background-color: #0056b3;
        }
    </style>
</head>

<body>
    <div class="container">
        <form id="dynamic-form" action="<?php echo e(url('/submit-entry')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="form-row">
                <div class="col-md-12 mb-3">
                    <label for="company">Company Name <span style="color:red;">*</span></label>
                    <input type="text" class="form-control" autofocus id="company" name="company_name" placeholder="Enter your company name" required>
                </div>
                <div class="col-md-12 mb-3">
                    <label for="name">Name <span style="color:red;">*</span></label>
                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter your name" required>
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12 mb-3">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Enter your email">
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                    <label for="phone">Phone <span style="color:red;">*</span></label>
                    <div class="input_group_code">
                    <select class="form-control" id="countryCode" name="country_code">
                                            <option value="+91">+91 (India)</option>
                                            <option value="+1">+1 (USA)</option>
                                            <option value="+44">+44 (UK)</option>
                                            <option value="+61">+61 (Australia)</option>
                                            <option value="+33">+33 (France)</option>
                                            <option value="+49">+49 (Germany)</option>
                                            <option value="+81">+81 (Japan)</option>
                                            <option value="+55">+55 (Brazil)</option>
                                            <option value="+34">+34 (Spain)</option>
                                            <option value="+39">+39 (Italy)</option>
                                            <option value="+27">+27 (South Africa)</option>
                                            <option value="+7">+7 (Russia)</option>
                                            <option value="+86">+86 (China)</option>
                                            <option value="+52">+52 (Mexico)</option>
                                            <option value="+46">+46 (Sweden)</option>
                                            <option value="+40">+40 (Romania)</option>
                                            <option value="+43">+43 (Austria)</option>
                                            <option value="+20">+20 (Egypt)</option>
                                            <option value="+31">+31 (Netherlands)</option>
                                            <option value="+62">+62 (Indonesia)</option>
                                            <option value="+27">+27 (South Africa)</option>
                                            <option value="+971">+971 (UAE)</option>
                                            <option value="+66">+66 (Thailand)</option>
                                            <option value="+41">+41 (Switzerland)</option>
                                            <option value="+98">+98 (Iran)</option>
                                            <option value="+55">+55 (Brazil)</option>
                                            <option value="+234">+234 (Nigeria)</option>
                                            <option value="+64">+64 (New Zealand)</option>
                                            <option value="+98">+98 (Iran)</option>
                                            <option value="+961">+961 (Lebanon)</option>
                                            <option value="+963">+963 (Syria)</option>
                                            <option value="+971">+971 (United Arab Emirates)</option>
                                            <option value="+974">+974 (Qatar)</option>
                                            <option value="+966">+966 (Saudi Arabia)</option>
                                            <option value="+971">+971 (UAE)</option>
                                            <option value="+966">+966 (Saudi Arabia)</option>
                                            <option value="+855">+855 (Cambodia)</option>
                                            <option value="+992">+992 (Tajikistan)</option>
                                            <option value="+251">+251 (Ethiopia)</option>
                                            <option value="+855">+855 (Cambodia)</option>
                                            <option value="+420">+420 (Czech Republic)</option>
                                            <option value="+62">+62 (Indonesia)</option>
                                            <option value="+63">+63 (Philippines)</option>
                                            <option value="+66">+66 (Thailand)</option>
                                            <option value="+57">+57 (Colombia)</option>
                                            <option value="+92">+92 (Pakistan)</option>
                                            <option value="+254">+254 (Kenya)</option>
                                            <option value="+977">+977 (Nepal)</option>
                                            <option value="+380">+380 (Ukraine)</option>
                                            <option value="+591">+591 (Bolivia)</option>
                                            <option value="+267">+267 (Botswana)</option>
                                            <option value="+682">+682 (Cook Islands)</option>
                                            <option value="+267">+267 (Botswana)</option>
                                            <option value="+245">+245 (Guinea-Bissau)</option>
                                            <option value="+855">+855 (Cambodia)</option>
                                            <option value="+228">+228 (Togo)</option>
                                            <option value="+211">+211 (South Sudan)</option>
                                            <option value="+220">+220 (Gambia)</option>
                                            <option value="+258">+258 (Mozambique)</option>
                                            <option value="+261">+261 (Madagascar)</option>
                                            <option value="+375">+375 (Belarus)</option>
                                            <option value="+387">+387 (Bosnia and Herzegovina)</option>
                                            <option value="+354">+354 (Iceland)</option>
                                            <option value="+387">+387 (Bosnia and Herzegovina)</option>
                                            </select>
                    <input type="tel" class="form-control" id="phone" name="phone" placeholder="Enter your phone number" required>
                    </div>
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12 mb-3">
                    <label for="country">Country <span style="color:red;">*</span></label>
                    <select class="form-control" id="country" name="country" required>
                        <option value="">Select Country</option>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country => $states): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($country); ?>"><?php echo e($country); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <div class="col-md-12 mb-3">
                    <label for="state">State <span style="color:red;">*</span></label>
                    <select class="form-control" id="state" name="state" required>
                        <option value="">Select State</option>
                    </select>
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12 mb-3">
                    <label for="city">City <span style="color:red;">*</span></label>
                    <input type="text" class="form-control" id="city" name="city" placeholder="Enter your city" required>
                </div>
            </div>
            <button class="btn btn-primary mb-3" type="submit">Submit</button>
        </form>
        <!-- Modal -->
        <div class="modal" id="qrModal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="qrModalLabel">QR Code</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <!-- QR Code will be displayed here -->
                        <!-- <div id="qrCodeContainer"></div> -->
                        <img id="qrCodeImage" src="" alt="QR Code">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('/js/slim.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/jquery.js')); ?>"></script>
    <script>
        // $('#dynamic-form').submit(function(event) {
        //     event.preventDefault();  // Prevent the form from refreshing the page

        //     var qrData = $('#name').val();  // Get the input value
        //     $.ajax({
        //         url: '/submit-entry',  // Your route to handle QR code generation
        //         method: 'POST',
        //         data: {
        //             _token: '<?php echo e(csrf_token()); ?>',  // CSRF token
        //             qr_data: qrData
        //         },
        //         success: function(response) {
        //             // Inject the generated QR code into the modal
        //             // $('#qrCodeContainer').html('<img src="data:image/png;base64,' + response.qr_code + '" alt="QR Code">');
        //             // Show the modal
        //             $('#qrCodeImage').attr('src', response.imagePath);
        //             $('#qrModal').css('display','block');
        //         },
        //         error: function() {
        //             alert('There was an error generating the QR code.');
        //         }
        //     });
        // });
        // function submitFormAndClear(event) {
        //     event.preventDefault();
        //     // Submit the form
        //     document.getElementById('dynamic-form').submit();
        //     // Reset form fields after submission
        //     document.getElementById('dynamic-form').reset();
        //     document.getElementById('name').focus();
        // }
        // Fetch states based on country selection
        $('#country').change(function() {
            const country = $(this).val();
            const stateSelect = $('#state');

            // Clear existing options
            stateSelect.empty();
            stateSelect.append('<option value="">Select State</option>');

            if (country) {
                // Fetch states via AJAX request
                $.get(`/states/${country}`, function(states) {
                    states.forEach(function(state) {
                        stateSelect.append(`<option value="${state}">${state}</option>`);
                    });
                });
            }
        });
    </script>
</body>

</html><?php /**PATH F:\jagjeet\xampp\htdocs\2024\local-app-2025\resources\views/local-entries.blade.php ENDPATH**/ ?>